<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".NewRelease"
    android:orientation="vertical"
    >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_alignParentTop="true"
        android:id="@+id/header"
        android:layout_marginHorizontal="15dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="25dp"
            android:gravity="center"
            android:orientation="horizontal"
            >
            <TextView
                android:layout_weight="0.5"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="New Album Releases"
                android:textSize="22sp"
                android:textStyle="bold"
                android:textColor="@color/black"
                >
            </TextView>
<!--            <TextView-->
<!--                android:layout_weight="1"-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:text="MusicPedia"-->
<!--                android:textSize="18sp"-->
<!--                android:textStyle="bold"-->
<!--                >-->
<!--            </TextView>-->
            <LinearLayout
                android:layout_weight="4.5"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="right"
                android:id="@+id/refreshBtnTop">
                <ImageView
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:text="Refresh"
                    android:src="@drawable/ic_refresh"
                    android:gravity="right">
                </ImageView>
            </LinearLayout>
        </LinearLayout>

<!--        <LinearLayout-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:background="@drawable/search_bar"-->
<!--            android:gravity="center"-->
<!--            android:paddingHorizontal="5dp">-->
<!--            <ImageView-->
<!--                android:layout_width="25dp"-->
<!--                android:layout_height="25dp"-->
<!--                android:src="@drawable/ic_search_black_24dp">-->

<!--            </ImageView>-->
<!--            <EditText-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="30dp"-->
<!--                android:textSize="16sp"-->
<!--                android:background="@null"-->
<!--                >-->
<!--            </EditText>-->
<!--        </LinearLayout>-->

    </LinearLayout>

    <LinearLayout
        android:layout_marginTop="10dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/header"
        android:layout_above="@+id/spotifyLinkLayout"
        android:orientation="vertical"
        android:layout_marginHorizontal="15dp"
        android:id="@+id/listLayout">

        <ListView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:divider="@null"
            android:id="@+id/listAlbum"
            android:visibility="gone"
            android:scrollbars="none"
            android:listSelector="@android:color/transparent">

        </ListView>
    </LinearLayout>

    <LinearLayout
        android:layout_marginTop="10dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/header"
        android:layout_above="@+id/spotifyLinkLayout"
        android:orientation="vertical"
        android:layout_marginHorizontal="15dp"
        android:gravity="center"
        android:paddingRight="30dp"
        >

        <ImageView
            android:layout_width="150dp"
            android:layout_height="150dp"
            android:src="@drawable/ic_music"
            android:id="@+id/musicImg"
            android:visibility="gone">

        </ImageView>
        <TextView
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Sorry, please refresh to try again!"
            android:textAlignment="center"
            android:paddingLeft="30dp"
            android:id="@+id/message"
            android:visibility="gone">

        </TextView>
        <LinearLayout
            android:layout_marginTop="10dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/button"
            android:padding="10dp"
            android:layout_marginLeft="15dp"
            android:id="@+id/refreshBtn"
            android:visibility="gone">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Refresh"
                android:textColor="#ffffff">

            </TextView>
        </LinearLayout>
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/bottomNav"
        android:orientation="vertical"
        android:id="@+id/spotifyLinkLayout"
        >
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@drawable/shadow">

        </View>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:id="@+id/spotifyLink"
            android:padding="12.5dp"
            android:background="#ffffff"
            android:orientation="horizontal"
            >

            <ImageView
                android:layout_width="21dp"
                android:layout_height="21dp"
                android:layout_marginRight="10.5dp"
                android:src="@drawable/spotify_icon_rgb_green">

            </ImageView>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="GET SPOTIFY FREE"
                android:textStyle="bold"
                android:textColor="@color/black"
                android:id="@+id/spotifyLinkText">

            </TextView>
        </LinearLayout>
    </LinearLayout>
    <com.google.android.material.bottomnavigation.BottomNavigationView
        android:id="@+id/bottomNav"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_gravity="bottom"
        android:background="#ffffff"
        app:itemIconTint="@drawable/bottom_nav_item_color"
        app:itemTextColor="@drawable/bottom_nav_item_color"
        app:menu="@menu/bottom_navigation">

    </com.google.android.material.bottomnavigation.BottomNavigationView>


</RelativeLayout>